Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/customobjects/deleteapi-v-1-custom-objects-by-id-id

# Soft delete a custom object instance

DELETE `https://{tenant}.atomicwork.com/api/v1/custom-objects/by-id/{id}`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### id (path, integer, required)

Workspace ID (numeric). Find yours under Settings → Workspace.

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X DELETE 'https://{tenant}.atomicwork.com/api/v1/custom-objects/by-id/{id}' \
  -H 'X-Api-Key: <api-key>'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/custom-objects/by-id/{id}', {
  method: 'DELETE',
  headers: {
    'X-Api-Key': '<api-key>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.delete(
    'https://{tenant}.atomicwork.com/api/v1/custom-objects/by-id/{id}',
    headers={'X-Api-Key': '<api-key>'}
)
data = res.json()
```
